FileNotFoundException (Java Platform SE 8 )
Keywords: java.io.FileNotFoundException class
Date: 2026-04-24

compact1, compact2, compact3
java.io

## Class FileNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.io.FileNotFoundException

- All Implemented Interfaces:
    Serializable

      public class FileNotFoundException
      extends IOException

  Signals that an attempt to open the file denoted by a specified pathname has failed.

  This exception will be thrown by the `FileInputStream`, `FileOutputStream`, and `RandomAccessFile` constructors when a file with the specified pathname does not exist. It will also be thrown by these constructors if the file does exist but for some reason is inaccessible, for example when an attempt is made to open a read-only file for writing.

  Since:
    JDK1.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileNotFoundException()` Constructs a `FileNotFoundException` with `null` as its error detail message.
    `FileNotFoundException(String s)` Constructs a `FileNotFoundException` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FileNotFoundException

          public FileNotFoundException()

      Constructs a `FileNotFoundException` with `null` as its error detail message.

    - #### FileNotFoundException

          public FileNotFoundException(String s)

      Constructs a `FileNotFoundException` with the specified detail message. The string `s` can be retrieved later by the ``Throwable.getMessage()`` method of class `java.lang.Throwable`.
      Parameters:
        `s` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.